package com.langintro.celtx_to_odt;

import org.openoffice.odf.dom.OdfNamespace;
import org.w3c.dom.Element;

public class CeltxNamespaceAdder
{
	
	private static String XMLNS = "http://www.w3.org/2000/xmlns/";
	private static String PREFIX = "xmlns:";

	public static void addOdfNamespaces(Element e)
	{
		e.setAttributeNS(XMLNS, PREFIX + OdfNamespace.A.getPrefix(),
				OdfNamespace.A.getUri());
		e.setAttributeNS(XMLNS, PREFIX + OdfNamespace.ANIM.getPrefix(),
				OdfNamespace.ANIM.getUri());
		e.setAttributeNS(XMLNS, PREFIX + OdfNamespace.CHART.getPrefix(),
				OdfNamespace.CHART.getUri());
		e.setAttributeNS(XMLNS, PREFIX + OdfNamespace.CONFIG.getPrefix(),
				OdfNamespace.CONFIG.getUri());
		e.setAttributeNS(XMLNS, PREFIX + OdfNamespace.DC.getPrefix(),
				OdfNamespace.DC.getUri());
		e.setAttributeNS(XMLNS, PREFIX + OdfNamespace.DR3D.getPrefix(),
				OdfNamespace.DR3D.getUri());
		e.setAttributeNS(XMLNS, PREFIX + OdfNamespace.DRAW.getPrefix(),
				OdfNamespace.DRAW.getUri());
		e.setAttributeNS(XMLNS, PREFIX + OdfNamespace.FO.getPrefix(),
				OdfNamespace.FO.getUri());
		e.setAttributeNS(XMLNS, PREFIX + OdfNamespace.FORM.getPrefix(),
				OdfNamespace.FORM.getUri());
		e.setAttributeNS(XMLNS, PREFIX + OdfNamespace.MATH.getPrefix(),
				OdfNamespace.MATH.getUri());
		e.setAttributeNS(XMLNS, PREFIX + OdfNamespace.META.getPrefix(),
				OdfNamespace.META.getUri());
		e.setAttributeNS(XMLNS, PREFIX + OdfNamespace.NUMBER.getPrefix(),
				OdfNamespace.NUMBER.getUri());
		e.setAttributeNS(XMLNS, PREFIX + OdfNamespace.OFFICE.getPrefix(),
				OdfNamespace.OFFICE.getUri());
		e.setAttributeNS(XMLNS, PREFIX + OdfNamespace.PRESENTATION.getPrefix(),
				OdfNamespace.PRESENTATION.getUri());
		e.setAttributeNS(XMLNS, PREFIX + OdfNamespace.SCRIPT.getPrefix(),
				OdfNamespace.SCRIPT.getUri());
		e.setAttributeNS(XMLNS, PREFIX + OdfNamespace.SMIL.getPrefix(),
				OdfNamespace.SMIL.getUri());
		e.setAttributeNS(XMLNS, PREFIX + OdfNamespace.STYLE.getPrefix(),
				OdfNamespace.STYLE.getUri());
		e.setAttributeNS(XMLNS, PREFIX + OdfNamespace.SVG.getPrefix(),
				OdfNamespace.SVG.getUri());
		e.setAttributeNS(XMLNS, PREFIX + OdfNamespace.TABLE.getPrefix(),
				OdfNamespace.TABLE.getUri());
		e.setAttributeNS(XMLNS, PREFIX + OdfNamespace.TEXT.getPrefix(),
				OdfNamespace.TEXT.getUri());
		e.setAttributeNS(XMLNS, PREFIX + OdfNamespace.XFORMS.getPrefix(),
				OdfNamespace.XFORMS.getUri());
		e.setAttributeNS(XMLNS, PREFIX + OdfNamespace.XLINK.getPrefix(),
				OdfNamespace.XLINK.getUri());
	}
}
